package com.ym.library.module;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-10 11:44 GMT+8
 * @detail :
 */
public class LandListEntity {


    /**
     * id : 1
     * name : 白菜
     * unlockPrice : 30
     * seedPrice : 5
     * profit : 6
     * second : 60
     * countDownSecond : 0
     * status : 0
     * seedNum : 0
     */

    private int id;
    private String name;
    private int unlockPrice;
    private int seedPrice;
    private int profit;
    private int second;
    private int countDownSecond;
    private int status;
    private int seedNum;

    private int ownNum;
    private int cloudSecond;
    private int acceleratorsSecond;
    private int guideStatus;
    private LandConfigList[] growList;
    private int fruitNum;//水果数量
    private int acceleratorsNum;//加速剂数量
    private int targetVideoNum;//解锁需看视频数量
    private int currentVideoNum;//当前已看视频数量
    private int stopSecond;//暂停时间点

    public int getStopSecond() {
        return stopSecond;
    }

    public void setStopSecond(int stopSecond) {
        this.stopSecond = stopSecond;
    }

    public int getTargetVideoNum() {
        return targetVideoNum;
    }

    public void setTargetVideoNum(int targetVideoNum) {
        this.targetVideoNum = targetVideoNum;
    }

    public int getCurrentVideoNum() {
        return currentVideoNum;
    }

    public void setCurrentVideoNum(int currentVideoNum) {
        this.currentVideoNum = currentVideoNum;
    }

    public LandConfigList[] getGrowList() {
        return growList;
    }

    public void setGrowList(LandConfigList[] growList) {
        this.growList = growList;
    }

    private class LandConfigList{
        private int start;
        private int countdown;

        public int getStart() {
            return start;
        }

        public void setStart(int start) {
            this.start = start;
        }

        public int getCountdown() {
            return countdown;
        }

        public void setCountdown(int countdown) {
            this.countdown = countdown;
        }
    }

    public int getFruitNum() {
        return fruitNum;
    }

    public void setFruitNum(int fruitNum) {
        this.fruitNum = fruitNum;
    }

    public int getAcceleratorsNum() {
        return acceleratorsNum;
    }

    public void setAcceleratorsNum(int acceleratorsNum) {
        this.acceleratorsNum = acceleratorsNum;
    }

    public int getGuideStatus() {
        return guideStatus;
    }

    public void setGuideStatus(int guideStatus) {
        this.guideStatus = guideStatus;
    }

    public int getCloudSecond() {
        return cloudSecond;
    }

    public void setCloudSecond(int cloudSecond) {
        this.cloudSecond = cloudSecond;
    }

    public int getAcceleratorsSecond() {
        return acceleratorsSecond;
    }

    public void setAcceleratorsSecond(int acceleratorsSecond) {
        this.acceleratorsSecond = acceleratorsSecond;
    }

    public int getOwnNum() {
        return ownNum;
    }

    public void setOwnNum(int ownNum) {
        this.ownNum = ownNum;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getUnlockPrice() {
        return unlockPrice;
    }

    public void setUnlockPrice(int unlockPrice) {
        this.unlockPrice = unlockPrice;
    }

    public int getSeedPrice() {
        return seedPrice;
    }

    public void setSeedPrice(int seedPrice) {
        this.seedPrice = seedPrice;
    }

    public int getProfit() {
        return profit;
    }

    public void setProfit(int profit) {
        this.profit = profit;
    }

    public int getSecond() {
        return second;
    }

    public void setSecond(int second) {
        this.second = second;
    }

    public int getCountDownSecond() {
        return countDownSecond;
    }

    public void setCountDownSecond(int countDownSecond) {
        this.countDownSecond = countDownSecond;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getSeedNum() {
        return seedNum;
    }

    public void setSeedNum(int seedNum) {
        this.seedNum = seedNum;
    }
}
